%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014-2015 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

subject_03 = {'03_01', '03_02', '03_03', '03_04'};
subject_05 = {'05_01', '05_02', '05_03', '05_04', '05_05', '05_06', ...
              '05_07', '05_08', '05_09', '05_10', '05_11', '05_12', ...
              '05_13', '05_14', '05_15', '05_16',  '05_17', '05_18', '05_19', '05_20'};
subject_07 = {'07_01', '07_02', '07_03', '07_04', '07_05', '07_06', ...
              '07_07', '07_08', '07_09', '07_10', '07_11', '07_12'};
subject_09 = {'09_01', '09_02', '09_03', '09_04', '09_05', '09_06', ...
              '09_07', '09_08', '09_09', '09_10', '09_11', '09_12'};

classify_matrix = zeros(4, 4);
classify_matrix(1, :) = MotionCapture_classify_subject(subject_03);
classify_matrix(2, :) = MotionCapture_classify_subject(subject_05);
classify_matrix(3, :) = MotionCapture_classify_subject(subject_07);
classify_matrix(4, :) = MotionCapture_classify_subject(subject_09);

fprintf('Display classification matrix.\n');
fprintf('row: target subject number (3, 5, 7, 9)\n');
fprintf('column: estimated subject number (3, 5, 7, 9)\n');
for i = 1 : 4
    for j = 1 : 4
        fprintf('%d ', classify_matrix(i, j));
    end
    fprintf('\n');
end
