%%% Monte Carlo Dynamic Classifier tool - MCDC tool
% http://www.ismvideo.org/NDE0UP/MCDCtool/en/index.html

% Copyright (C) 2014-2015 Gareth W. Peters, Tomoko Matsui, Francois Septier, and Akira Tamamori

% This program is free software; you can redistribute it and/or modify it under the terms
% of the GNU General Public License as published by the Free Software Foundation; either
% version 2 of the License, or (at your option) any later version.

% This program is distributed in the hope that it will be useful, but WITHOUT ANY
% WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE.  See the GNU General Public License for more details.

% You should have received a copy of the GNU General Public License along with this
% program; if not, see <http://www.gnu.org/licenses/>.

Iters = [1 2 4 6 8 10];
Iter = Iters(end);

load('logs/KitagawaModelPSMC_Data_UNIT_TEST_RUN.mat');

Graphs.YE('plots/KitagawaModelPSMC_UNIT_TEST_RUN_YE', ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat'], Iters);
Graphs.XE('plots/KitagawaModelPSMC_UNIT_TEST_RUN_XE', ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat'], Iters);
Graphs.YEMean('plots/KitagawaModelPSMC_UNIT_TEST_RUN_YEMean', ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat']);
Graphs.XEMean('plots/KitagawaModelPSMC_UNIT_TEST_RUN_XEMean', ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat']);

Times = 5:10;

Graphs.YE(['plots/KitagawaModelPSMC_UNIT_TEST_RUN_YE_from' num2str(Times(1))], ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat'], Iters, Times);
Graphs.XE(['plots/KitagawaModelPSMC_UNIT_TEST_RUN_XE_from' num2str(Times(1))], ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat'], Iters, Times);
Graphs.YEMean(['plots/KitagawaModelPSMC_UNIT_TEST_RUN_YEMean_from' num2str(Times(1))], ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat'], Times);
Graphs.XEMean(['plots/KitagawaModelPSMC_UNIT_TEST_RUN_XEMean_from' num2str(Times(1))], ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat'], Times);

Graphs.Loglik('plots/KitagawaModelPSMC_UNIT_TEST_RUN_Loglik', ['logs/KitagawaModelPSMC_UNIT_TEST_RUN_' num2str(Iter) '.mat']);
